<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:16 CST 2018 -->
<title>AI</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AI";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../projectx/engine/controls/ai/Pathfinding.html" title="class in projectx.engine.controls.ai"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/controls/ai/AI.html" target="_top">Frames</a></li>
<li><a href="AI.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">projectx.engine.controls.ai</div>
<h2 title="Class AI" class="title">Class AI</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>projectx.engine.controls.ai.AI</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">AI</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#lastPathCheck">lastPathCheck</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#path">path</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#pathCheck">pathCheck</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#pathCheckCooldown">pathCheckCooldown</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/controls/ai/Pathfinding.html" title="class in projectx.engine.controls.ai">Pathfinding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#pf">pf</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#AI-projectx.engine.Handler-projectx.engine.managers.entities.creatures.Creature-">AI</a></span>(<a href="../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
  <a href="../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;creature)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#arrive--">arrive</a></span>()</code>
<div class="block">This method decides if the player has arrived at a location and counts down for half a second to contiune on to the next location</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#attack-projectx.engine.managers.entities.creatures.Creature-">attack</a></span>(<a href="../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;target)</code>
<div class="block">This method is used by an attacking creature to chased down, face, and attack a target creature.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#chaseEnemy-projectx.engine.managers.entities.creatures.Creature-int-">chaseEnemy</a></span>(<a href="../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;seenEnemy,
          int&nbsp;maxDistance)</code>
<div class="block">This method sets the creatures speed to 1.5 and chases down a given seen player</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#checkSight--">checkSight</a></span>()</code>
<div class="block">Checks if the creature sees a player or shell</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#followPath-java.util.List-">followPath</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt;&nbsp;path)</code>
<div class="block">This method is tells the given creature how to follow the given path.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#goToLocation-int-int-">goToLocation</a></span>(int&nbsp;x,
            int&nbsp;y)</code>
<div class="block">This method sends the player to the given x and y tile location</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#goToLocation-projectx.engine.managers.locators.Locator-">goToLocation</a></span>(<a href="../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&nbsp;checkpoint)</code>
<div class="block">This method sends the player to the given checkpoint tile location</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#guardUpdate--">guardUpdate</a></span>()</code>
<div class="block">This is the method all guards should call when they are controlled by the AI.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#isAlive-projectx.engine.managers.entities.Entity-">isAlive</a></span>(<a href="../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&nbsp;entity)</code>
<div class="block">This checks if the Entity is alive.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#prisonerUpdate--">prisonerUpdate</a></span>()</code>
<div class="block">This is the method that all prisoners call when they are controlled by the AI.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/controls/ai/AI.html#roamArea--">roamArea</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="pf">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pf</h4>
<pre>public&nbsp;<a href="../../../../projectx/engine/controls/ai/Pathfinding.html" title="class in projectx.engine.controls.ai">Pathfinding</a> pf</pre>
</li>
</ul>
<a name="path">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>path</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt; path</pre>
</li>
</ul>
<a name="lastPathCheck">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastPathCheck</h4>
<pre>public&nbsp;long lastPathCheck</pre>
</li>
</ul>
<a name="pathCheckCooldown">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pathCheckCooldown</h4>
<pre>public&nbsp;long pathCheckCooldown</pre>
</li>
</ul>
<a name="pathCheck">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>pathCheck</h4>
<pre>public&nbsp;long pathCheck</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AI-projectx.engine.Handler-projectx.engine.managers.entities.creatures.Creature-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AI</h4>
<pre>public&nbsp;AI(<a href="../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
          <a href="../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;creature)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="guardUpdate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>guardUpdate</h4>
<pre>public&nbsp;void&nbsp;guardUpdate()</pre>
<div class="block">This is the method all guards should call when they are controlled by the AI.
 Depending on the guard, it will either travel between checkpoints, sit at a stationary location, or roam randomly around the map.
 If the guard sees a prisioner or player, it will attack the it until it runs out of a set tile range (5)
 in which case it will instead return to it's movement schedule.</div>
</li>
</ul>
<a name="prisonerUpdate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prisonerUpdate</h4>
<pre>public&nbsp;void&nbsp;prisonerUpdate()</pre>
<div class="block">This is the method that all prisoners call when they are controlled by the AI.
 All prisoners controlled by the AI will move around their spawn a total of 5
 blocks in any direction from initial spawn. If any of the prisoners see a guard
 they will attack that guard until killing that guard.</div>
</li>
</ul>
<a name="roamArea--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>roamArea</h4>
<pre>public&nbsp;void&nbsp;roamArea()</pre>
</li>
</ul>
<a name="chaseEnemy-projectx.engine.managers.entities.creatures.Creature-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>chaseEnemy</h4>
<pre>public&nbsp;void&nbsp;chaseEnemy(<a href="../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;seenEnemy,
                       int&nbsp;maxDistance)</pre>
<div class="block">This method sets the creatures speed to 1.5 and chases down a given seen player</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>seenEnemy</code> - </dd>
<dd><code>maxDistance</code> - </dd>
</dl>
</li>
</ul>
<a name="goToLocation-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>goToLocation</h4>
<pre>public&nbsp;void&nbsp;goToLocation(int&nbsp;x,
                         int&nbsp;y)</pre>
<div class="block">This method sends the player to the given x and y tile location</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
</dl>
</li>
</ul>
<a name="goToLocation-projectx.engine.managers.locators.Locator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>goToLocation</h4>
<pre>public&nbsp;void&nbsp;goToLocation(<a href="../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&nbsp;checkpoint)</pre>
<div class="block">This method sends the player to the given checkpoint tile location</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>checkpoint</code> - </dd>
</dl>
</li>
</ul>
<a name="arrive--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>arrive</h4>
<pre>public&nbsp;void&nbsp;arrive()</pre>
<div class="block">This method decides if the player has arrived at a location and counts down for half a second to contiune on to the next location</div>
</li>
</ul>
<a name="attack-projectx.engine.managers.entities.creatures.Creature-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attack</h4>
<pre>public&nbsp;void&nbsp;attack(<a href="../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;target)</pre>
<div class="block">This method is used by an attacking creature to chased down, face, and attack a target creature.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>target</code> - </dd>
</dl>
</li>
</ul>
<a name="checkSight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkSight</h4>
<pre>public&nbsp;boolean&nbsp;checkSight()</pre>
<div class="block">Checks if the creature sees a player or shell</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="followPath-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>followPath</h4>
<pre>public&nbsp;void&nbsp;followPath(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt;&nbsp;path)</pre>
<div class="block">This method is tells the given creature how to follow the given path.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>creature</code> - </dd>
<dd><code>path</code> - </dd>
</dl>
</li>
</ul>
<a name="isAlive-projectx.engine.managers.entities.Entity-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isAlive</h4>
<pre>public&nbsp;boolean&nbsp;isAlive(<a href="../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&nbsp;entity)</pre>
<div class="block">This checks if the Entity is alive.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>entity</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../projectx/engine/controls/ai/Pathfinding.html" title="class in projectx.engine.controls.ai"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/controls/ai/AI.html" target="_top">Frames</a></li>
<li><a href="AI.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
